porta	equ $1000
portb	equ $1004
output	equ $ffaf
warmst	equ $ff7c
	;	
	org $b600  ;load into EEPROM
	;
	ldy #scimsg  ;locates the start of message
repeat	ldaa 0,y  ;loads first byte of message
	cmpa #$00  ;checks for the end of message
	beq next
	jsr output  ;output ACCA ASCII character through SCI port
	iny  ;advances to the next data address in message
	jmp repeat
	;
next	ldaa #$40  ;system set
	jsr inst
	ldaa #$30  ;p1
	jsr data
	ldaa #$87  ;p2
	jsr data
	ldaa #$07  ;p3
	jsr data
	ldaa #$1f  ;p4
	jsr data
	ldaa #$23  ;p5
	jsr data
	ldaa #$7f  ;p6
	jsr data
	ldaa #$20  ;p7
	jsr data
	ldaa #$00  ;p8
	jsr data
	;
	ldaa #$44  ;scroll 
	jsr inst
	ldaa #$00  ;p1
	jsr data
	ldaa #$00  ;p2
	jsr data
	ldaa #$7f  ;p3
	jsr data
	ldaa #$00  ;p4
	jsr data
	ldaa #$02  ;p5
	jsr data
	ldaa #$7f  ;p6
	jsr data
	;
	ldaa #$5a  ;horizontal scroll
	jsr inst
	ldaa #$00
	jsr data
	;
	ldaa #$5b  ;overlay
	jsr inst
	ldaa #$00
	jsr data
	;
	ldaa #$4c  ;cursor direction
	jsr inst
	;
	ldaa #$46  ;set cursor address
	jsr inst
	ldaa #$00
	jsr data
	ldaa #$00
	jsr data
	;
	ldaa #$42  ;memory write
	jsr inst
	ldy #$0200
rpt1	ldaa #$20  ;sending 512 ASCII blank characters
	jsr data
	dey
	bne rpt1
	;
	ldy #$1000
rpt2	ldaa #$00  ;sending 4096 zeros
	jsr data
	dey
	bne rpt2
	;
	ldaa #$5d  ;cursor form
	jsr inst
	ldaa #$04
	jsr data
	ldaa #$86
	jsr data
	;
	ldaa #$59  ;display on
	jsr inst
	ldaa #$16
	jsr data
	;
	;
	ldaa #$46  ;set cursor address
	jsr inst
	ldaa #$00  ;setting bit address (low)
	jsr data
	ldaa #$02  ;setting bit address (high)
	jsr data
	ldaa #$42  ;mem write command
	jsr inst
	;
	ldy #$003e  ;setting up the number of bytes found in the header of a bitmap file
rpt3	ldaa $102e  ;loading the value of the SCSR register
	anda #$20
	cmpa #$20  ;checking the RDRF flag in the SCSR register
	bne rpt3
	ldaa $102f
	dey
	bne rpt3
	;
	ldy #$1000  ;setting up the number of image bytes to receive over the SCI port
rpt4	ldaa $102e  ;loading the value of the SCSR register
	anda #$20
	cmpa #$20  ;checking the RDRF flag in the SCSR register
	bne rpt4
	ldaa $102f
	jsr data
	dey
	bne rpt4
	jsr warmst

	;
over	bra over
	;
inst	staa portb  ;subroutine for performing an instruction write
	ldaa #$30
	staa porta
	ldaa #$10
	staa porta
	ldaa #$30
	staa porta
	rts
	;
data	staa portb  ;subroutine for performing a data write
	ldaa #$20
	staa porta
	ldaa #$00
	staa porta
	ldaa #$20
	staa porta
	rts
	;
scimsg	fcc 'Ready to receive complete bitmap file!'
	fcb $0a,$0d  ;line feed and carriage return
	fcb $00  ;end of message designator